petsc-3.4.2 2013-07-02

# SNESLineSearchGetPostCheck

Gets the post-check function for the line search routine.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchGetPostCheck(SNESLineSearch linesearch, PetscErrorCode (**SNESLineSearchPostCheckFunction)(SNESLineSearch,Vec,Vec,Vec,PetscBool*,PetscBool*,void*),void **ctx)

### Input Parameters

linesearch -the SNESLineSearch context

### Output Parameters

| SNESLineSearchPostCheckFunction | - [optional] function evaluation routine
| ctx | - [optional] user-defined context for private data for the function evaluation routine (may be NULL)

### Keywords

get, linesearch, post-check

### See Also

SNESLineSearchGetPreCheck(), SNESLineSearchSetPostCheck()

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages